// priority: 0

ServerEvents.recipes(e => {
	armorPieces.vanilla.forEach(piece => {
		removeRecipeByOutput(e, [
			EA(`emerald_armour_${piece}`)
		])
	})

	//helmet
	e.shaped(EA(`emerald_armour_helmet`), [
		'AAA',
		'ABA'
	], {
		A: F("#gems/emerald"),
		B: MC('diamond_helmet'),
	})

	//chestplate
	e.shaped(EA(`emerald_armour_chestplate`), [
		'ABA',
		'AAA',
		'AAA'
	], {
		A: F("#gems/emerald"),
		B: MC('diamond_chestplate'),
	})

	//leggings
	e.shaped(EA(`emerald_armour_leggings`), [
		'AAA',
		'ABA',
		'A A'
	], {
		A: F("#gems/emerald"),
		B: MC('diamond_leggings'),
	})

	//boots
	e.shaped(EA(`emerald_armour_boots`), [
		'ABA',
		'A A'
	], {
		A: F("#gems/emerald"),
		B: MC('diamond_boots'),
	})
})